package com.ym.mec.biz.dal.page;

import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

public class queryMusicGroupCourseScheduleQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "开始日期（不包含时分秒）",required = false)
    private String startTime;

    @ApiModelProperty(value = "结束日期",required = false)
    private String endTime;

    @ApiModelProperty(value = "课程类型",required = false)
    private String classScheduleType;

    @ApiModelProperty(value = "课程状态",required = false)
    private String classScheduleStatus;

    @ApiModelProperty(value = "乐团编号",required = false)
    private String musicGroupId;

    @ApiModelProperty(value = "班级编号",required = false)
    private Integer classGroupId;

    @ApiModelProperty(value = "是否结算",required = false)
    private Integer isSettlement;

    public Integer getIsSettlement() {
        return isSettlement;
    }

    public void setIsSettlement(Integer isSettlement) {
        this.isSettlement = isSettlement;
    }

    public Integer getClassGroupId() {
        return classGroupId;
    }

    public void setClassGroupId(Integer classGroupId) {
        this.classGroupId = classGroupId;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getClassScheduleType() {
        return classScheduleType;
    }

    public void setClassScheduleType(String classScheduleType) {
        this.classScheduleType = classScheduleType;
    }

    public String getClassScheduleStatus() {
        return classScheduleStatus;
    }

    public void setClassScheduleStatus(String classScheduleStatus) {
        this.classScheduleStatus = classScheduleStatus;
    }

    public String getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(String musicGroupId) {
        this.musicGroupId = musicGroupId;
    }
}
